DO $$

BEGIN

/*
		Username: 	consumer_ws
		Password: 	!InterShop00!
		Shop:		inTRONICS and inTRONICS Business

*/

INSERT INTO oms."UserDO"
(
  id,
  "accountName",
  active,
  "companyName",
  "firstName",
  "lastName",
  email,
  "languageDefRef",
  "loginErrors",
  "modificationDate",
  "uniformRoleConf",
  version,
  "cryptedPassword",
  "hashSalt"
)
SELECT
 nextval('oms."UserDO_id_seq"'),
 'consumer_ws',
 true,         -- active boolean NOT NULL
 'inSPIRED',
 'Consumer',
 'Web-Service',
 'consumer_ws@test.intershop.de',
 (select id from product."LanguageDefDO" where "isoCode639"='en'),
 0,        -- loginErrors integer NOT NULL
 now(),    -- modificationDate
 false,    -- uniformRoleConf" boolean NOT NULL,
 0,        -- version
 'eFhnlmOwubLNjV3FyNzqL5N853XBhZqrLaipj85IPtY=',   --cryptedPassword
 '8SgO9LdQLHtCZo7s2pAlhQ=='; --hashSalt



PERFORM  admin.map_user2org ('consumer_ws'  , 'inTRONICS'  );
PERFORM  admin.map_user2org ('consumer_ws'  , 'inTRONICS Business'  );
PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'inTRONICS Business'  );
PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'inTRONICS'  );

PERFORM  admin.map_user2org ('consumer_ws'  , 'OMS internal Supplier'  );
PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'OMS internal Supplier'  );

-- give the 'admin' user the necessary permissions and roles
PERFORM  admin.map_user2org ('admin',  'inTRONICS'  );
PERFORM  admin.map_user2org ('admin'  , 'inTRONICS Business'  );

PERFORM  admin.map_user2role2org('admin'   , 'ShopServiceClient'      , 'inTRONICS Business'  );
PERFORM  admin.map_user2role2org('admin'   , 'ShopServiceClient'      , 'inTRONICS'  );

-- fix rights for supplier
PERFORM  admin.map_user2org ('consumer_ws'  , 'inSPIRED'  );

PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'inTRONICS California Warehouse'  );
PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'inTRONICS California Retailer'  );
PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'inTRONICS Florida Warehouse'  );
PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'inTRONICS Florida Retailer'  );
PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'inTRONICS Texas Warehouse'  );
PERFORM  admin.map_user2role2org('consumer_ws'   , 'ShopServiceClient'      , 'inTRONICS Texas Retailer'  );

PERFORM  admin.map_user2org ('admin'  , 'inSPIRED'  );

PERFORM  admin.map_user2role2org('admin'   , 'ShopServiceClient'      , 'inTRONICS California Warehouse'  );
PERFORM  admin.map_user2role2org('admin'   , 'ShopServiceClient'      , 'inTRONICS California Retailer'  );
PERFORM  admin.map_user2role2org('admin'   , 'ShopServiceClient'      , 'inTRONICS Florida Warehouse'  );
PERFORM  admin.map_user2role2org('admin'   , 'ShopServiceClient'      , 'inTRONICS Florida Retailer'  );
PERFORM  admin.map_user2role2org('admin'   , 'ShopServiceClient'      , 'inTRONICS Texas Warehouse'  );
PERFORM  admin.map_user2role2org('admin'   , 'ShopServiceClient'      , 'inTRONICS Texas Retailer'  );


END;
$$;
